library(data.table)

data <- data.table::fread(input = "out.log",
                          sep = "\t",
                          header = FALSE,
                          col.names = c("ip", "ts", "target", "status", "ua"),
                          colClasses =  list(
                                              character = c("ip", "target", "ua"),
                                              integer = "status",
                                              double = "ts"
                                             ),
                          showProgress = FALSE
                         )

ncol(data)
nrow(data)

head(data, n = 25)

class(data)
